VSTGUI: CViewContainer::Iterator< reverse > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
CViewContainer::Iterator< reverse > Class Template Reference

`#include <cviewcontainer.h>`

## Public Types
using | IteratorType

## Public Member Functions
| Iterator (const CViewContainer *container)
| Iterator (const Iterator< reverse > &vi)
| Iterator (Iterator< reverse > &&o)
Iterator< reverse > & | operator++ ()
Iterator< reverse > | operator++ (int)
Iterator< reverse > & | operator-- ()
CView * | operator* () const

## Protected Attributes
const ViewList & | children
IteratorType | iterator

## Member Typedef Documentation

## ◆ IteratorType

template<bool reverse>

using IteratorType

Initial value:
typename std::conditional<reverse, ChildViewConstReverseIterator,
ChildViewConstIterator>::type
VSTGUI::CViewContainer::ChildViewConstIterator
ViewList::const_iterator ChildViewConstIterator
Definition cviewcontainer.h:210
VSTGUI::CViewContainer::ChildViewConstReverseIterator
ViewList::const_reverse_iterator ChildViewConstReverseIterator
Definition cviewcontainer.h:211

## Constructor & Destructor Documentation

## ◆ Iterator() [1/3]

template<bool reverse>

Iterator | ( | const CViewContainer * | container | ) |
| inlineexplicit

## ◆ Iterator() [2/3]

template<bool reverse>

Iterator | ( | const Iterator< reverse > & | vi | ) |
| inlineexplicit

## ◆ Iterator() [3/3]

template<bool reverse>

Iterator | ( | Iterator< reverse > && | o | ) |
| inline

## Member Function Documentation

## ◆ operator*()

template<bool reverse>

CView * operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<bool reverse>

Iterator< reverse > & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<bool reverse>

Iterator< reverse > operator++ | ( | int |  | ) |
| inline

## ◆ operator--()

template<bool reverse>

Iterator< reverse > & operator-- | ( |  | ) |
| inline

## Member Data Documentation

## ◆ children

template<bool reverse>

const ViewList& children
| protected

## ◆ iterator

template<bool reverse>

IteratorType iterator
| protected

The documentation for this class was generated from the following file:

- cviewcontainer.h